Skip to main content
GET
/
returns
/
{id}
Get Return
curl --request GET \
  --url https://api.usehandled.io/api/v1/ipaas/unified_cache/returns/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "order_id": "<string>",
  "status": "<string>",
  "reason": "<string>",
  "line_items": [
    {
      "product_id": "<string>",
      "sku": "<string>",
      "quantity": 123,
      "reason": "<string>"
    }
  ],
  "tracking_number": "<string>",
  "carrier": "<string>",
  "refund_amount": 123,
  "currency": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "cached_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API token from your Handled dashboard

Path Parameters

id
string
required

Resource ID

Query Parameters

integrated_account_id
string
required

The ID of the connected account to query

Response

Successful response

id
string
order_id
string
status
string
reason
string
line_items
object[]
tracking_number
string
carrier
string
refund_amount
number
currency
string
created_at
string<date-time>
updated_at
string<date-time>
cached_at
string<date-time>

When this record was last cached